/* COLORS */
/*FONTS*/
/*$font-family: 'Space Mono', monospace;
$accent-font-family: 'Space Grotesk', monospace;*/
/*input {
    padding-top: 3px;
}*/
.form__div {
  position: relative;
  height: 100%;
  margin-bottom: 1.5rem;
}
@media (max-width: 768px) {
  .form__div {
    height: 50px;
    margin-bottom: 0.4rem;
  }
}

.form__input, .form__dropdown {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  /*height: 100%;*/
  font-size: 1rem;
  border: 1px solid lightgrey;
  border-radius: 0.5rem;
  outline: none;
  padding: 1rem;
  background: none;
  z-index: 1;
}
@media (max-width: 768px) {
  .form__input, .form__dropdown {
    height: 45px;
  }
}

.form__textarea {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  /*height: 100%;*/
  font-size: 1rem;
  border: 1px solid lightgrey;
  border-radius: 0.5rem;
  outline: none;
  padding: 1rem;
  background: none;
  z-index: 1;
}
@media (max-width: 768px) {
  .form__textarea {
    height: 65px;
  }
}

.form__label {
  position: absolute;
  left: 1rem;
  top: 10px;
  padding: 0 0.25rem;
  background-color: #fff;
  color: darkgrey;
  font-size: 1.1rem;
  transition: 0.3s;
}

.form__dropdown + .form__label {
  top: -0.7rem;
  left: 1rem;
  color: #593068;
  font-size: 16px;
  font-weight: 500;
  z-index: 10;
  width: 12%;
  padding-left: 10px;
}

/*Input focus move up label*/
.form__input:focus + .form__label, .form__textarea:focus + .form__label {
  top: -0.3rem;
  left: 0.8rem;
  color: #593068;
  font-size: 12px;
  font-weight: 500;
  z-index: 10;
}

/*Input focus sticky top label*/
.form__input:not(:placeholder-shown).form__input:not(:focus) + .form__label {
  top: -0.5rem;
  left: 0.8rem;
  font-size: 15px;
  font-weight: 700;
  z-index: 10;
}

/*Input focus*/
.form__input:focus, .form__textarea:focus, .form__dropdown:focus {
  border: 2px solid #593068;
}

/*.form__dropdown {
    border: 2px solid $primary-color !important;
}*/